#!/usr/bin/env python

import glob,os,sys
from distutils.core import setup

sys.path.append("src")
from VERSION import *


## grab icons
datafiles = glob.glob("pixmaps/*.xpm")

srcfiles = glob.glob("src/*.py")

DATA_FILES = [ ('',datafiles) ]

setup( name="IceMe", version=VERSION, license="GPL",
       author = "Mike Hostetler", author_email="thehaas@binary.net",
		 url="http://iceme.sourceforge.net",
		 description = "Options editor for IceWM",
		 scripts = srcfiles+['iceme'],
		 data_files = DATA_FILES,
		 )

## creating link
if sys.argv[-1] == 'install' and not os.path.exists("/usr/local/bin/iceme"):
	print "creating link to /usr/local/lib/iceme/iceme"
	os.link('/usr/local/lib/iceme/iceme','/usr/local/bin/iceme')
      
